# standard imports
import unittest
import logging

# external imports
from chainlib.eth.tx import receipt
from chainlib.eth.block import block_latest
from chainlib.eth.block import block_by_number
from eth_seal.unittest import TestEthSealInterface
from eth_seal.unittest.base import TestEthSeal
from ge_capped_token.unittest import TestCappedToken

logging.basicConfig(level=logging.DEBUG)
logg = logging.getLogger()


class TestEthCappedSeal(TestEthSeal, TestCappedToken, TestEthSealInterface):

    def setUp(self):
        super(TestEthCappedSeal, self).setUp()
        self.set_method = self.seal
        self.max_seal_state = 15

        self.publish()
        self.contracts['seal'] = self.address
        self.roles['seal'] = self.accounts[0]


if __name__ == '__main__':
    unittest.main()
