# standard imports
import unittest
import logging

# external imports
from cic_contracts import erc165_for
from eth_interface.unittest import TestERC165

# local imports
from ge_capped_token.unittest import TestCappedToken

logging.basicConfig(level=logging.DEBUG)
logg = logging.getLogger()


class TestEthCappedBurner(TestCappedToken, TestERC165):

    def setUp(self):
        super(TestEthCappedBurner, self).setUp()
        for v in [
#                'Minter',
                'Burner',
                'Capped',
                'Writer',
                'Expire',
                'ERC20',
                ]:
            ifc = erc165_for(v)
            logg.debug('add interface check {} -> {}'.format(v, ifc))
            self.add_interface_check(ifc)


if __name__ == '__main__':
    unittest.main()
